Home | All Classes | Main Classes | Annotated | Grouped Classes | Functions |

# QWindowsXPStyle Class Reference

The QWindowsXPStyle class provides a Microsoft WindowsXP-like look and feel. More...

    #include <QWindowsXPStyle>

Inherits QWindowsStyle.

- List of all members, including inherited members

### Writable Properties

- 1 writable property inherited from QObject

### Public Functions

- QWindowsXPStyle ()
- ~QWindowsXPStyle ()

- 9 public functions inherited from QCommonStyle
- 23 public functions inherited from QStyle
- 26 public functions inherited from QObject

### Public Slots

- 1 public slot inherited from QObject

### Signals

- 1 signal inherited from QObject

### Static Public Members

- 5 static public members inherited from QStyle
- 4 static public members inherited from QObject

### Protected Functions

- 7 protected functions inherited from QObject

### Protected Slots

- void activeTabChanged ()

## Detailed Description

The QWindowsXPStyle class provides a Microsoft WindowsXP-like look and feel.

Warning: This style is only available on the Windows XP platform because it makes use of Windows XP's style engine.

Most of the functions are documented in the base classes QWindowsStyle, QCommonStyle, and QStyle, but the QWindowsXPStyle overloads of drawComplexControl(), drawControl(), drawControlMask(), drawPrimitive(), querySubControlMetrics(), and sizeFromContents(), are documented here.

## Member Function Documentation

### QWindowsXPStyle::QWindowsXPStyle ()

Constructs a QWindowsStyle

### QWindowsXPStyle::~QWindowsXPStyle ()

Destroys the style.

### void QWindowsXPStyle::activeTabChanged () `[protected slot]`

Repaints the active tab if is changed.